For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact us
DocumentationAPI Reference
DocumentationAPI Reference
  • Authentication
    • GETVerify API key
  • Documents
    • POSTUpload document
    • POSTUpload document into folder
    • GETList documents
    • GETList documents in folder
    • GETGet document
    • POSTCreate folder
    • DELDelete folder
    • POSTMove documents between folders
    • DELDelete documents
  • Workspaces
    • GETGet workspace
    • DELDelete workspace
    • POSTUpdate workspace
    • POSTAdd or remove workspace embeddings
    • GETList workspace tools
    • POSTAttach tool to workspace
    • DELDetach tool from workspace
  • Number Requests
    • GETList number requests
    • POSTRequest a phone number
    • GETGet number request
  • Numbers
    • GETList phone numbers
    • GETList phone numbers in organization
  • Organizations
    • GETList organizations
    • POSTCreate organization
    • GETGet organization
    • DELDelete organization
    • POSTUpdate organization
    • GETList workspaces in organization
    • POSTCreate workspace
    • GETList organization tools
    • POSTCreate organization tool
    • DELDelete organization tool
    • PATCHUpdate organization tool
  • Accounts
    • GETList accounts
    • POSTCreate account
  • Voice Integration
    • GETGet voice assistant config
    • PATCHUpdate voice assistant config
    • GETGet voice integration catalog
    • POSTProvision voice integration
    • GETList voice call logs
    • GETList workspace voice call logs
  • Whats App Integration
    • POSTMint a WhatsApp Business connect page token
    • GETRender WhatsApp Business connect iframe page
    • POSTFinalize WhatsApp Business onboarding (iframe-initiated)
    • DELDisconnect WhatsApp Business integration
Contact us
LogoLogo
Voice Integration

Get voice integration catalog

GET
https://staging-app.lumenia.net/api/v1/voice-integration/catalog
GET
/api/v1/voice-integration/catalog
$curl https://staging-app.lumenia.net/api/v1/voice-integration/catalog \
> -H "Authorization: Bearer <token>"
1{
2 "success": true,
3 "catalog": {
4 "voice": {
5 "providers": [
6 {
7 "value": "vapi",
8 "label": "Vapi",
9 "fields": [
10 "provider",
11 "voiceId"
12 ],
13 "voiceIdSource": "enum",
14 "notes": "Pick voiceId from the `voiceIds` list below. The `model` field is not used for this provider.",
15 "voiceIds": [
16 {
17 "value": "Clara",
18 "label": "Clara · American · female",
19 "description": "Ultra Realistic, Conversational, Friendly"
20 }
21 ]
22 },
23 {
24 "value": "11labs",
25 "label": "11labs",
26 "fields": [
27 "provider",
28 "voiceId",
29 "model"
30 ],
31 "voiceIdSource": "freeform",
32 "voiceIdHelp": "Paste a voiceId from https://elevenlabs.io/voice-library",
33 "notes": "Send the ElevenLabs voiceId as `voiceId` and pick `model` from the `models` list below.",
34 "models": [
35 {
36 "value": "eleven_multilingual_v2",
37 "label": "eleven_multilingual_v2"
38 }
39 ]
40 }
41 ]
42 },
43 "transcriber": {
44 "providers": [
45 {
46 "value": "deepgram",
47 "label": "Deepgram",
48 "fields": [
49 "provider",
50 "model",
51 "language"
52 ],
53 "notes": "Pick `model` from `models` below, then pick `language` from the `languages` list on that model.",
54 "models": [
55 {
56 "value": "nova-3",
57 "label": "Nova 3",
58 "languages": [
59 {
60 "value": "en",
61 "label": "English"
62 }
63 ]
64 }
65 ]
66 }
67 ]
68 }
69 }
70}
Source-of-truth catalog for building a PATCH /v1/workspace/{slug}/voice-integration/assistant body. Provider-rooted: each `voice.providers[]` and `transcriber.providers[]` entry lists the `fields` needed to configure that provider, plus the allowed enum values (Vapi voiceIds, ElevenLabs voice models, transcriber models with their per-model languages).
Was this page helpful?
Previous

Provision voice integration

Next
Built with

Source-of-truth catalog for building a PATCH /v1/workspace/{slug}/voice-integration/assistant body. Provider-rooted: each voice.providers[] and transcriber.providers[] entry lists the fields needed to configure that provider, plus the allowed enum values (Vapi voiceIds, ElevenLabs voice models, transcriber models with their per-model languages).

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Response

Catalog payload
successboolean
catalogobject

Errors

403
Forbidden Error
500
Internal Server Error